<?php

namespace AutoAdmin\Bundle\Media\Model;


/**
 * Class ImageModel
 */
interface ImageInterface extends FileInterface
{
    public function getAlt(): ?string;

    public function setAlt(?string $alt): void;

    public function getWidth(): ?int;

    public function setWidth(?int $width): void;

    public function getHeight(): ?int;

    public function setHeight(?int $height): void;
}